require "translator/version"
require "translator/poltergeist_config"
require "translator/config_file"
require "colorize"

module Translator
  class Translate
    include Translator::PoltergeistConfig

    attr_reader :string
    attr_accessor :to, :from

    def initialize(string, to: '', from: '')
      @string = string
      @to = to
      @from = from

      if to.empty? && from.empty?
        @to = Translator::ConfigFile.default_to || 'auto'
        @from = Translator::ConfigFile.default_from
      end
    end

    def translate!
      visit_google_translator

      sleep 3

      result.colorize(:light_green)
    end

    def result
      find('#result_box').text
    end

    def visit_google_translator
      visit "https://translate.google.com.br/?source=osdd##{from}/#{to}/#{parsed_string}"
    end

    def parsed_string
      string.split(' ').join('%20')
    end
  end
end
