module Translator
  class ConfigFile
    attr_reader :from, :to

    def initialize(from, to)
      from = 'auto' if from.empty?
      raise ArgumentError, 'Precisa passar qual idioma deseja traduzir' if to.empty?

      @from = from.downcase
      @to = to.downcase
    end

    def config_file_path
      "#{Dir.home}/.translator"
    end

    def save_config
      File.open(config_file_path, 'w') do |f|
        f.write("#{from}\n#{to}\n")
        f.close
      end
    end

    class << self
      def get_default_config
        config = []
        File.open("#{Dir.home}/.translator").each_line do |l|
          config << l.delete("\n")
        end

        { from: config[0], to: config[1] }
      end

      def default_to
        get_default_config[:to]
      end

      def default_from
        get_default_config[:from]
      end

      def exist?
        File.exist?("#{Dir.home}/.translator")
      end
    end
  end
end
